【已解决】yofrankie这 个游戏安装的问题

为当前最终发行版之前的所有版本提供支持
framnui
帖子: 243
注册时间: 2009-07-19 14:17
送出感谢: 2 次
接收感谢: 0

【已解决】yofrankie这 个游戏安装的问题

#1

帖子 framnui » 2010-04-05 14:32

不经意间看到有么个游戏,评价都挺不错的,但是不知道怎么安装,已经下载了压缩包yofrankie_1_1b_bge,但里面没有可以执行的文件,也没有deb包,所以来问一下
从这下的
http://www.yofrankie.org/download/

里面的readme.txt内容如下:

代码: 全选

Here are the data files needed to run YoFrankie (Blender Game Engine Version)

To play this game you will need to have already installed Blender 2.49a or newer.

Without any modifications you can play the game by loading "levels/start_menu.blend" in blender, Game Menu, Start Game.
Or execute...
 "blenderplayer yo_frankie_stub.blend"

Problems with blender can be reported to the blender bug tracker.
http://projects.blender.org/tracker/?group_id=9&atid=125

Problems with datafiles and game logic can be reported to the yo-frankie tracker.
http://projects.blender.org/tracker/?atid=445&group_id=151&func=browse


The Makefile in this directory can be used to compress the datafiles for distribution,
Dependencies for make are...
* blender 2.49a+
* imagemagick
* python

Running make will do the following
* Images without alpha are converted to jpeg
* blendfiles are compressed

Resulting files are copied to ./package

Again, this is only needed for distribution, uncompressed files are about 300mb, and around 130mb when compressed.

Any further issues you can contact ideasman42@gmail.com
Screenshot.png
上次由 framnui 在 2010-04-07 15:50,总共编辑 3 次。
头像
nuanhuai
帖子: 7810
注册时间: 2009-03-10 13:04
送出感谢: 1 次
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#2

帖子 nuanhuai » 2010-04-05 14:44

拆包bd
头像
nuanhuai
帖子: 7810
注册时间: 2009-03-10 13:04
送出感谢: 1 次
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#3

帖子 nuanhuai » 2010-04-05 14:44

ls下看看里面都有啥
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: yofrankie这 个游戏安装的问题

#4

帖子 eexpress » 2010-04-05 14:54

看里面的readme什么的。或者install文件说明。
记得就是一个bin安装。
● 鸣学
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: yofrankie这 个游戏安装的问题

#5

帖子 luojie-dune » 2010-04-05 15:33

我认为很不好玩。。。
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
pocoyo
论坛版主
帖子: 25878
注册时间: 2008-03-25 15:49
来自: 谁知道?
送出感谢: 5 次
接收感谢: 9 次
联系:

Re: yofrankie这 个游戏安装的问题

#6

帖子 pocoyo » 2010-04-05 16:09

我以为。。不爱玩
framnui
帖子: 243
注册时间: 2009-07-19 14:17
送出感谢: 2 次
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#7

帖子 framnui » 2010-04-05 16:32

eexpress 写了:看里面的readme什么的。或者install文件说明。
记得就是一个bin安装。
的确有一个readme.txt,但里面都是英文,应该没有什么有价值的东西内容如下:

代码: 全选

Here are the data files needed to run YoFrankie (Blender Game Engine Version)

To play this game you will need to have already installed Blender 2.49a or newer.

Without any modifications you can play the game by loading "levels/start_menu.blend" in blender, Game Menu, Start Game.
Or execute...
 "blenderplayer yo_frankie_stub.blend"

Problems with blender can be reported to the blender bug tracker.
http://projects.blender.org/tracker/?group_id=9&atid=125

Problems with datafiles and game logic can be reported to the yo-frankie tracker.
http://projects.blender.org/tracker/?atid=445&group_id=151&func=browse


The Makefile in this directory can be used to compress the datafiles for distribution,
Dependencies for make are...
* blender 2.49a+
* imagemagick
* python

Running make will do the following
* Images without alpha are converted to jpeg
* blendfiles are compressed

Resulting files are copied to ./package

Again, this is only needed for distribution, uncompressed files are about 300mb, and around 130mb when compressed.

Any further issues you can contact ideasman42@gmail.com
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: yofrankie这 个游戏安装的问题

#8

帖子 luojie-dune » 2010-04-05 19:41

Ubuntu 10.04 可以 apt://yofrankie

实际上非常简单就装了,装个blender就行

apt://blender
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
速腾1994
论坛版主
帖子: 17363
注册时间: 2008-11-01 20:43
系统: Arch+gnome
送出感谢: 23 次
接收感谢: 8 次

Re: yofrankie这 个游戏安装的问题

#9

帖子 速腾1994 » 2010-04-05 20:06

:shock:
framnui
帖子: 243
注册时间: 2009-07-19 14:17
送出感谢: 2 次
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#10

帖子 framnui » 2010-04-05 22:27

luojie-dune 写了:Ubuntu 10.04 可以 apt://yofrankie

实际上非常简单就装了,装个blender就行

apt://blender
我的ubuntu是9.10,并且我已经安装了blender,但还是不知道怎么运行这个游戏 :em20
framnui
帖子: 243
注册时间: 2009-07-19 14:17
送出感谢: 2 次
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#11

帖子 framnui » 2010-04-05 22:28

还望会的人来解答一下,非常感谢
头像
pocoyo
论坛版主
帖子: 25878
注册时间: 2008-03-25 15:49
来自: 谁知道?
送出感谢: 5 次
接收感谢: 9 次
联系:

Re: yofrankie这 个游戏安装的问题

#12

帖子 pocoyo » 2010-04-05 22:39

5l 罗杰说不好玩 那它就不好玩
framnui
帖子: 243
注册时间: 2009-07-19 14:17
送出感谢: 2 次
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#13

帖子 framnui » 2010-04-06 21:27

pocoyo 写了:5l 罗杰说不好玩 那它就不好玩
这不是好不好玩的问题,关键是我怎么安装这个,初来ubuntu,这也不会,那也不会 :em06
changys04
帖子: 286
注册时间: 2006-11-08 16:33
送出感谢: 0
接收感谢: 0

Re: yofrankie这 个游戏安装的问题

#14

帖子 changys04 » 2010-04-06 21:37

我发现readme.txt里有这么一段

Without any modifications you can play the game by loading "levels/start_menu.blend" in blender, Game Menu, Start Game.
Or execute...
"blenderplayer yo_frankie_stub.blend"
头像
peteryeh64
论坛版主
帖子: 9349
注册时间: 2008-12-20 15:43
系统: 家14.04,公司14.04
来自: 心靈深處
送出感谢: 12 次
接收感谢: 36 次

Re: yofrankie这 个游戏安装的问题

#15

帖子 peteryeh64 » 2010-04-06 21:43

先執行blender,再把這個檔案打開就行...levels目錄下start_menu.blend :em04
[论坛版主行为规定]+[PITIVI簡易教程]+[CAD裝draftsight]+[酷我音乐裝kwplayer]+[ubuntu裝迅雷]
[releases.ubuntu.com]+[cdimage.ubuntu.com]+[old-releases.ubuntu.com]
[學ubuntu必須拜讀懶蝸牛"笨兔兔的故事"=viewtopic.php?f=112&t=162040][Linux明日的希望在中國]
回复

回到 “老旧版本支持”